package services

import (
	"bytes"
	"io/ioutil"
	"net/http"
)

const (
	HZ_DATA_API = "https://hzdataapi.hzinsights.com/hzdataapi/"
)

func HttpPost(method string, postData []byte) (result string, err error) {
	client := &http.Client{}
	req, err := http.NewRequest("POST", HZ_DATA_API+method, bytes.NewReader(postData))
	if err != nil {
		return "", err
	}
	req.Header.Set("authorization", "252a2d54f9092a385228bd07812dd5d0")
	resp, err := client.Do(req)
	if err != nil {
		return "", err
	}
	body, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		return "", err
	}
	result = string(body)
	return
}
