package services

import (
	"context"
	"fmt"
)

// 同步指标
func SyncHzDataIndex(cont context.Context) (err error) {
	//郑州交易所
	err = SyncRankingFromZhengzhou()
	if err != nil {
		fmt.Println("SyncRankingFromZhengzhou Err:" + err.Error())
		return
	}

	//大商所
	err = SyncRankingFromDalian()
	if err != nil {
		fmt.Println("SyncRankingFromDalian Err:" + err.Error())
		return
	}

	//上期所
	err = SyncRankingFromShanghai()
	if err != nil {
		fmt.Println("SyncRankingFromDalian Err:" + err.Error())
		return
	}

	//中金所
	err = SyncRankingFromCffex()
	if err != nil {
		fmt.Println("SyncRankingFromCffex Err:" + err.Error())
		return
	}

	//上期能源
	err = SyncRankingFromIne()
	if err != nil {
		fmt.Println("SyncRankingFromIne Err:" + err.Error())
		return
	}

	//谷歌出行数据
	err = SyncChangesVisitorsCovid()
	if err != nil {
		fmt.Println("SyncChangesVisitorsCovid Err:" + err.Error())
		return
	}

	//////EiaSteo
	//err = SyncEiaSteoIndex()
	//if err != nil {
	//	fmt.Println("SyncEiaSteoIndex Err:" + err.Error())
	//	return
	//}
	//SyncHzDataIndexData()
	return err
}

// 同步指标数据
func SyncHzDataIndexData() {
	var err error
	////EiaSteo
	err = SyncEiaSteoIndexData()
	if err != nil {
		fmt.Println("SyncEiaSteoIndexData Err:" + err.Error())
		return
	}

	fmt.Println(err)
}
